> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Retrieve information of a bulk PDF file generation job

GET https://rest.test.zuora.com/v1/operations/bulk-pdf/{jobId}

Retrieves information about the job which includes its status, message, and downloadable ZIP file URL link.

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/billing-documents/operations/get-bulk-pdf-to-zip-generation

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `jobId` (string, required) — The ID of the job for which information needs to be retrieved. For example, 2c92c8955bd63cc1015bd7c151af02ab

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `jobId` (string, optional) — Unique Id for the Triggered Job
- `jobName` (string, optional) — Name of the Job provided during the POST request of the Job
- `status` (enum, optional) — Status of the job
  - Allowed values: `Submitted`, `Executing`, `Completed`, `Error`, `Aborted`, `Cancelled`
- `stepStatus` (enum, optional) — Status of the Current Step that the Job is undergoing
  - Allowed values: `JobCreated`, `TasksCreated`, `GenerateMissPDF`, `PdfToZip`, `PostProcessing`
- `fileUrls` (list of string, optional) — Collection of S3 Pre-Signed URL(s) that can be downloaded
- `failedDocuments` (list of DocumentList, optional) — Array of objects where each object contains billing document type and the IDs which failed to execute.
- `createdOn` (string, optional) — Job Created Time
- `createdBy` (string, optional) — Id of the user who created the job
- `success` (boolean, optional) — Returns `true` if the request was processed successfully.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### DocumentList

- `docType` (enum, optional) — The type of billing document.
  - Allowed values: `Invoice`, `CreditMemo`, `DebitMemo`
- `objectIds` (list of string, optional) — The collection of billing document IDs.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

## Examples

**Response**

```json
{
  "jobId": "2c92c8955bd63cc1015bd7c151af02ab",
  "jobName": "BulkPDFGenerationJobV1",
  "status": "Completed",
  "stepStatus": "PostProcessing",
  "fileUrls": [
    "https://s3.us-west-2.amazonaws.com/billing-file-repository/bulk-pdf-generation/12345/all-invoices-posted-jan-2024_1.zip?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20231222T075849Z&X-Amz-SignedHeaders=host&X-Amz-Expires=259199&X-Amz-Credential=fakeMyKeyId%2F20231222%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=62368dbec1763101fba328cf83ae7d3efd780fa03f443370d2f353757e79fc99",
    "https://s3.us-west-2.amazonaws.com/billing-file-repository/bulk-pdf-generation/12345/all-invoices-posted-jan-2024_2.zip?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20231222T075849Z&X-Amz-SignedHeaders=host&X-Amz-Expires=259199&X-Amz-Credential=fakeMyKeyId%2F20231222%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=62368dbec1763101fba328cf83ae7d3efd780fa03f443370d2f353757e79fc99"
  ],
  "createdOn": "2024-01-08 12:52:05",
  "createdBy": "caf630704a6f4100818601625ecffe0b",
  "success": true
}
```

**SDK Code**

```python Operations_Get_BulkPDFToZIPGeneration_example
import requests

url = "https://rest.test.zuora.com/v1/operations/bulk-pdf/jobId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Operations_Get_BulkPDFToZIPGeneration_example
const url = 'https://rest.test.zuora.com/v1/operations/bulk-pdf/jobId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Operations_Get_BulkPDFToZIPGeneration_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/operations/bulk-pdf/jobId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Operations_Get_BulkPDFToZIPGeneration_example
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/operations/bulk-pdf/jobId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Operations_Get_BulkPDFToZIPGeneration_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/operations/bulk-pdf/jobId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Operations_Get_BulkPDFToZIPGeneration_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/operations/bulk-pdf/jobId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Operations_Get_BulkPDFToZIPGeneration_example
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/operations/bulk-pdf/jobId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Operations_Get_BulkPDFToZIPGeneration_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/operations/bulk-pdf/jobId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```